Subject: Re: linux-next: build failure after merge of the ext3 tree

From: Jan Kara <[email-masked]>
Date: Tue, 2 Mar 2010 18:27:57 +0100

Hi,

On Tue 02-03-10 11:36:34, Stephen Rothwell wrote:
> After merging the ext3 tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/jfs/jfs_xtree.c: In function 'xtSplitRoot':
> fs/jfs/jfs_xtree.c:1256: error: 'rec' undeclared (first use in this function)
> 
> Caused by commit bff3333e868578990f6fe794a7cba0c74bd433ac ("dquot:
> cleanup space allocation / freeing routines").
> 
> This is annoying ... this file system could be build tested on any
> architecture, so why wasn't it?
  I'm sorry. It's my fault. I've modified Christoph's patch but I forgot to
enable JFS in the test build. Since this isn't the first time something
like this happened to me, I've changed the way I commit patches. They'll
first go to for_testing branch and after a build machine runs them through
allyesconfig and allmodconfig compiles they'll get moved to for_next
branch. So hopefully stupid mistakes like this one should be avoided for
future.

								Honza
-- 
Jan Kara <[email-masked]>
SUSE Labs, CR